这.ArrowHead1Type=acArrowOblique '细斜杠.ArrowHead2Type=acArrowArchTick '粗斜杠小数点\".\"前的内容是什么?
谢谢
这个可以看一下AutoCAD VBA的帮助,先把ArrowHead1Type粘贴到代码窗口里面,然后帮光标挪到ArrowHead1Type前面,按“F1”。
帮助里面对于各种对象、方法、属性等等其实都有介绍,一般还有例子可以看,对写程序是很有帮助的,ArrowHead1Type的例子就是:
Sub Example_ArrowHead1Type()<BR> ' This example creates a Dim3PointAngular object in model space<BR> ' and then alters the visible appearance (shape) of its arrow heads<BR> ' using the ArrowHead1Type and ArrowHead2Type properties<BR> <BR> Dim DimPointAngularObj As AcadDim3PointAngular<BR> Dim AngleVertex(0 To 2) As Double<BR> Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double<BR> Dim TextPoint(0 To 2) As Double<BR> <BR> ' Define the new Dim3PointAngular object<BR> AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0<BR> FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0<BR> SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0<BR> TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0<BR><BR> ' Create the new Dim3PointAngular object in model space<BR> Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint)<BR> ThisDrawing.Application.ZoomAll<BR><BR> ' Read and display current arrow head type<BR> MsgBox "The arrow head type for the first arrow of this object is: " & DimPointAngularObj.Arrowhead1Type & vbCrLf & _<BR> "The arrow head type for the second arrow of this object is: " & DimPointAngularObj.Arrowhead2Type<BR><BR> ' Alter the arrow head type property for both arrows of this object<BR> DimPointAngularObj.Arrowhead1Type = acArrowBoxBlank<BR> DimPointAngularObj.Arrowhead2Type = acArrowBoxBlank<BR> ThisDrawing.Regen acAllViewports<BR> <BR> ' Read and display current arrow head type<BR> MsgBox "The arrow head type for the first arrow of this object is now set to: " & DimPointAngularObj.Arrowhead1Type & vbCrLf & _<BR> "The arrow head type for the second arrow of this object is now set to: " & DimPointAngularObj.Arrowhead2Type<BR>End Sub
页:
1
[2]